###########################################################################################################################################################################################
# This is a simple example how to run a series of distances                                                                                                                               #
# Note: To run this script, you must be in a directoy which contains                                                                                                                      #
#									- a geometry.template file with HF, where the distance between H and F is determined by a variable named DIST     #
#									- a control.template file which contains the correct method and basis set specifications.                         #
# Example input files are provided in the same directory as this script                                                                                                                   #
###########################################################################################################################################################################################

#!/bin/bash -l
ulimit -s unlimited

#Variable defintion:
AIMSBIN=aims.x #This variable should point to your local FHI-aims executable


#Loop over the distances
for Distance in 0.7 0.8 0.85 0.87 0.89 0.91 0.93 0.95 1.0 1.1 1.2 1.3 ; do
   echo $Distance
   mkdir $Distance;                                                                             # Create directory with the distance as name
   cp control.template $Distance/control.in                                                    # copy the control file into the new directoy
   sed "s/Dist/$Distance/g" geometry.template > $Distance/geometry.in                          # the the geometry template, replace the term DIST by the current distance and copy the new file into the directory
   cd $Distance; 	  								       # Change directoy
   $AIMSBIN | tee output;                                                                          # Run aims and pipe the output into a file named "output"
   cd ..                                                                                       # Go back to the original directory
done;



