###########################################################################################################################################################################################
# This is a simple example how to analyze the results from the distance series                                                                                                            #
###########################################################################################################################################################################################

#from pylab import *
#from matplotlib import *
import matplotlib
matplotlib.use('Agg')
import matplotlib.pyplot as plt

dist=[0.7, 0.8, 0.85, 0.87, 0.89, 0.91, 0.93, 0.95, 1.0, 1.1, 1.2, 1.3]
Dipole=[]                                                                     # empty list for dipole
#Loop over the distances
for Distance in dist:
   Distance=str(Distance)                                                     # float to string
   for line in open(Distance+'/output'):                                      # Loop through file and extract energy
     if 'Absolute dipole ' in line:
       Dip=float(line.split()[-3])
   Dipole.append(Dip)

fig=plt.figure(0)                                                                # create figure
ax=fig.add_subplot(111)                                                       # create axes
ax.plot(dist,Dipole,'o-')                                                     # plot distance vs. dipole
ax.set_xlabel('Distance [$\mathrm{\AA}$]',size=20)                            # x-label
ax.set_ylabel('Dipole [Debye]',size=20)                                       # y-label
fig.savefig('Results_Dipole.pdf')
# not able to show the figure, since there is problem with matplotlib #
#fig.show()                                                                    # show plot 
#fig.close() 
