###########################################################################################################################################################################################
# This is a simple example how to analyze the results from the distance series                                                                                                            #
###########################################################################################################################################################################################

#from pylab import *
from matplotlib import *


dist=[0.7, 0.8, 0.85, 0.87, 0.89, 0.91, 0.93, 0.95, 1.0, 1.1, 1.2, 1.3]       
Energy=[]                                                                     # empty list for energy
#Loop over the distances
for Distance in dist:
   Distance=str(Distance)                                                     # float to string
   for line in open(Distance+'/output'):                                      # Loop through file and extract energy
     if '| Total energy of the DFT / Hartree-Fock s.c.f. calculation      :' in line:
       Energy.append(float(line.split()[-2]))
       break

fig=figure(0)                                                                 # create figure
ax=fig.add_subplot(111)                                                       # create axes
ax.plot(dist,Energy,'o-')                                                     # plot distance vs. energy
ax.set_xlabel('Distance [$\mathrm{\AA}$]',size=20)                            # x-label
ax.set_ylabel('Energy [eV]',size=20)                                          # y-label
fig.savefig('Results_energy.pdf')
fig.show()                                                                    # show plot



