###########################################################################################################################################################################################
# This is a simple example how to run a series of distances                                                                                                                               #
# Note: To run this script, you must be in a directoy which contains                                                                                                                      #
#									- a geometry.template file with HF, where the distance between H and F is determined by a variable named DIST     #
#									- a control.template file which contains the correct method and basis set specifications.                         #
# Example input files are provided in the same directory as this script                                                                                                                   #
###########################################################################################################################################################################################
import os, shutil

#Variable defintion:
AIMSBIN='aims.x'
f=open('geometry.template','r')                                               #read geometry template
template=f.read()
f.close
#Loop over the distances
for Distance in [0.7, 0.8, 0.85, 0.87, 0.89, 0.91, 0.93, 0.95, 1.0, 1.1, 1.2, 1.3]:
   Distance=str(Distance)                                                     # float to string
   print(Distance)
   if not os.path.exists(Distance): os.mkdir(Distance)                        # Create directory with the distance as name
   shutil.copy('control.template', Distance+'/control.in')                    # copy the control file into the new directoy
   out=open(Distance+'/geometry.in','w')                                      # replace the term DIST in geometry template by the current distance 
   out.write(template.replace('Dist',Distance))                               #   and copy the new file into the directory
   out.close()

   os.chdir(Distance)                                                         # Change directoy
   os.system(AIMSBIN+' | tee output')                                         # Run aims and pipe the output into a file named "output"
   os.chdir('..')                                                             # Go back to the original directory



